/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	XMSⅡ共通メニューデータクラス
//			変更履歴
//				2004.01.08	新規作成	二條智文
//
package jp.co.ntt.lms.xmo;

/**
 * XMSⅡ共通メニューデータクラスです。<BR>
 * XMO共通のメニュー情報を保持します。
 * @author T.Nijou
 * @version 0.0.0.1 2004/01/08
 */
public class MenuData implements java.io.Serializable {

	// 初期メニュー種別
	public static final String DEFAULT_MENU    = "0";					
	// 登録メニュー種別
	public static final String INSERT_MENU     = "1";					
	// 更新メニュー種別
	public static final String UPDATE_MENU     = "2";					
	// 削除メニュー種別
	public static final String DELETE_MENU     = "3";					
	// 指導者用メニュー
	public static final String INSTRUCTOR_MENU = "0";					
	// 学習者用メニュー
	public static final String STUDENT_MENU    = "1";					
	// 両方のメニュー
	public static final String ALL_MENU        = "2";					

	/**
	 * URLを保持します
	 */
	private String mstrURL = "";

	/**
	 * タイトルを保持します
	 */
	private String mstrTitle = "";

	/**
	 * Loメニュー種別を保持します
	 */
	private String mstrLoMenuType = "";									

	/**
	 * Loメニューユーザを保持します
	 */
	private String mstrLoMenuUser = "";									

	/**
	 * アイコン名称を保持します
	 */
	private String mstrIcon = "";

	/**
	 * メニューを開くターゲットのウィンドウを指定します。
	 */
	private String mstrTargetWindow = "_top";

	/**
	 * ポップアップ種別を保持します
	 */
	private String mstrPopupType = "";

	/**
	 * ドキュメントポップアップ種別
	 */
	public static final String DOC_POPUP = "1";

	/**
	 * グループポップアップ種別
	 */
	public static final String GROUP_POPUP = "2";

	/**
	 * ユーザポップアップ種別
	 */
	public static final String PEOPLE_POPUP = "3";

	/**
	 * LOポップアップ種別
	 */
	public static final String LO_POPUP = "4";

	/**
	 * windowのサイズwidth
	 */
	private String width;

	/**
	 * windowのサイズheight
	 */
	private String height;


	/**
	 * コンストラクタです。
	 */
	public MenuData() {
	}

	/**
	 * コンストラクタです。<BR>
	 * 各情報を指定します。
	 * @param strURL URL
	 * @param strTitle タイトル
	 */
	public MenuData( String strURL,
						String strTitle )
	{
		mstrURL = strURL;
		mstrTitle = strTitle;
	}

	/**
	 * コンストラクタです。<BR>
	 * 各情報を指定します。<BR>
	 * @param String URL
	 * @param String タイトル
	 * @param String Loメニュー種別
	 * @param String Loメニューユーザ
	 */
	public MenuData( String strURL,
						String strTitle,
						String strLoMenuType,
						String strUserType)							
	{
		mstrURL        = strURL;									
		mstrTitle      = strTitle;									
		mstrLoMenuType = strLoMenuType;								
		mstrLoMenuUser = strUserType;								
	}

	/**
	 * URLを設定します
	 * @param strURL URL
	 */
	public void setURL( String strURL ) {
		mstrURL = strURL;
	}

	/**
	 * URLを取得します
	 * @return String URL
	 */
	public String getURL() {
		return mstrURL;
	}

	/**
	 * タイトルを設定します
	 * @param strMessageType メッセージタイプ
	 */
	public void setTitle( String strTitle ) {
		mstrTitle = strTitle;
	}

	/**
	 * タイトルを取得します
	 * @return String メッセージタイプ
	 */
	public String getTitle() {
		return mstrTitle;
	}

	/**
	 * Loメニュー種別を設定します
	 * @param String Loメニュー種別
	 */
	public void setLoMenuType(String strLoMenuType)						
	{
		mstrLoMenuType = strLoMenuType;									
	}

	/**
	 * Loメニュー種別を取得します
	 * @return String Loメニュー種別
	 */
	public String getLoMenuType()										
	{
		return mstrLoMenuType;											
	}

	/**
	 * Loメニューユーザを設定します
	 * @param String Loメニューユーザ
	 */
	public void setLoMenuUser(String strLoMenuUser)						
	{
		mstrLoMenuUser = strLoMenuUser;									
	}

	/**
	 * Loメニューユーザを取得します
	 * @return String Loメニューユーザ
	 */
	public String getLoMenuUser()										
	{
		return mstrLoMenuUser;											
	}

	/**
	 * アイコンを設定します
	 * @param strIcon アイコン名称
	 */
	public void setIcon( String strIcon ) {
		mstrIcon = strIcon;
	}

	/**
	 * アイコンを取得します
	 * @return String アイコン名称
	 */
	public String getIcon() {
		return mstrIcon;
	}

	/**
	 * メニューを表示するウィンドウ名を設定します
	 * @param intWindowType ウィンドウ表示種別
	 */
	public void setTargetWindow( String strTargetWindow ) {
		mstrTargetWindow = strTargetWindow;
	}

	/**
	 * メニューを表示するウィンドウ名を取得します
	 * @return int ウィンドウ表示方法
	 */
	public String getTargetWindow() {
		return mstrTargetWindow;
	}

	/**
	 * ポップアップ種別を設定します
	 * @param strPopupType ポップアップ種別
	 */
	public void setPopupType( String strPopupType ) {
		mstrPopupType = strPopupType;
	}

	/**
	 * ポップアップ種別を取得します
	 * @return String ポップアップ種別
	 */
	public String getPopupType() {
		return mstrPopupType;
	}

	/**
	 * windowのサイズwidthを設定する
	 * @param windowサイズ
	 */
	public void setWidth(String width){
		this.width = width;
	}

	/**
	 * windowのサイズwidthを取得する
	 * @return windowサイズwidth
	 */
	public String getWidth(){
		return this.width;
	}

	/**
	 * windowのサイズheightを設定する
	 * @param windowサイズheight
	 */
	public void setHeight(String height){
		this.height = height;
	}

	/**
	 * windowのサイズheightを取得する
	 * @return windowサイズheight
	 */
	public String getHeight(){
		return this.height;
	}


}




